Skip to main content
GET
/
api
/
logs
/
{id}
Error
A valid request URL is required to generate request examples
{
  "id": "<string>",
  "parent_request_id": "<string>",
  "provider": "<string>",
  "model": "<string>",
  "status": "processing",
  "object": "<string>",
  "timestamp": "2023-11-07T05:31:56Z",
  "number_of_retries": 123,
  "fallback_index": 123,
  "latency": 123,
  "cost": 123,
  "selected_key_id": "<string>",
  "selected_key_name": "<string>",
  "virtual_key_id": "<string>",
  "virtual_key_name": "<string>",
  "routing_engines_used": [
    "<string>"
  ],
  "routing_rule_id": "<string>",
  "routing_rule_name": "<string>",
  "stream": true,
  "raw_request": "<string>",
  "raw_response": "<string>",
  "created_at": "2023-11-07T05:31:56Z",
  "token_usage": {
    "prompt_tokens": 123,
    "prompt_tokens_details": {
      "text_tokens": 123,
      "audio_tokens": 123,
      "image_tokens": 123,
      "cached_read_tokens": 123,
      "cached_write_tokens": 123
    },
    "completion_tokens": 123,
    "completion_tokens_details": {
      "text_tokens": 123,
      "accepted_prediction_tokens": 123,
      "audio_tokens": 123,
      "citation_tokens": 123,
      "num_search_queries": 123,
      "reasoning_tokens": 123,
      "image_tokens": 123,
      "rejected_prediction_tokens": 123
    },
    "total_tokens": 123,
    "cost": {
      "input_tokens_cost": 123,
      "output_tokens_cost": 123,
      "reasoning_tokens_cost": 123,
      "citation_tokens_cost": 123,
      "search_queries_cost": 123,
      "request_cost": 123,
      "total_cost": 123
    }
  },
  "error_details": {
    "event_id": "<string>",
    "type": "<string>",
    "is_bifrost_error": true,
    "status_code": 123,
    "error": {
      "type": "<string>",
      "code": "<string>",
      "message": "<string>",
      "param": "<string>",
      "event_id": "<string>"
    },
    "extra_fields": {
      "provider": "openai",
      "model_requested": "<string>",
      "request_type": "<string>"
    }
  },
  "input_history": [
    {
      "role": "assistant",
      "name": "<string>",
      "content": "<string>",
      "tool_call_id": "<string>",
      "refusal": "<string>",
      "audio": {
        "id": "<string>",
        "data": "<string>",
        "expires_at": 123,
        "transcript": "<string>"
      },
      "reasoning": "<string>",
      "reasoning_details": [
        {
          "id": "<string>",
          "index": 123,
          "type": "reasoning.summary",
          "summary": "<string>",
          "text": "<string>",
          "signature": "<string>",
          "data": "<string>"
        }
      ],
      "annotations": [
        {
          "type": "<string>",
          "url_citation": {
            "start_index": 123,
            "end_index": 123,
            "title": "<string>",
            "url": "<string>",
            "sources": {},
            "type": "<string>"
          }
        }
      ],
      "tool_calls": [
        {
          "function": {
            "name": "<string>",
            "arguments": "<string>"
          },
          "index": 123,
          "type": "<string>",
          "id": "<string>"
        }
      ]
    }
  ],
  "responses_input_history": [
    {
      "id": "<string>",
      "type": "message",
      "status": "in_progress",
      "role": "assistant",
      "content": "<string>",
      "call_id": "<string>",
      "name": "<string>",
      "arguments": "<string>",
      "output": {},
      "action": {},
      "error": "<string>",
      "queries": [
        "<string>"
      ],
      "results": [
        {}
      ],
      "summary": [
        {
          "type": "summary_text",
          "text": "<string>"
        }
      ],
      "encrypted_content": "<string>"
    }
  ],
  "output_message": {
    "role": "assistant",
    "name": "<string>",
    "content": "<string>",
    "tool_call_id": "<string>",
    "refusal": "<string>",
    "audio": {
      "id": "<string>",
      "data": "<string>",
      "expires_at": 123,
      "transcript": "<string>"
    },
    "reasoning": "<string>",
    "reasoning_details": [
      {
        "id": "<string>",
        "index": 123,
        "type": "reasoning.summary",
        "summary": "<string>",
        "text": "<string>",
        "signature": "<string>",
        "data": "<string>"
      }
    ],
    "annotations": [
      {
        "type": "<string>",
        "url_citation": {
          "start_index": 123,
          "end_index": 123,
          "title": "<string>",
          "url": "<string>",
          "sources": {},
          "type": "<string>"
        }
      }
    ],
    "tool_calls": [
      {
        "function": {
          "name": "<string>",
          "arguments": "<string>"
        },
        "index": 123,
        "type": "<string>",
        "id": "<string>"
      }
    ]
  },
  "responses_output": [
    {
      "id": "<string>",
      "type": "message",
      "status": "in_progress",
      "role": "assistant",
      "content": "<string>",
      "call_id": "<string>",
      "name": "<string>",
      "arguments": "<string>",
      "output": {},
      "action": {},
      "error": "<string>",
      "queries": [
        "<string>"
      ],
      "results": [
        {}
      ],
      "summary": [
        {
          "type": "summary_text",
          "text": "<string>"
        }
      ],
      "encrypted_content": "<string>"
    }
  ],
  "embedding_output": [
    [
      123
    ]
  ],
  "params": {},
  "tools": [
    {
      "type": "function",
      "function": {
        "name": "<string>",
        "description": "<string>",
        "parameters": {
          "type": "<string>",
          "description": "<string>",
          "required": [
            "<string>"
          ],
          "properties": {},
          "enum": [
            "<string>"
          ],
          "additionalProperties": true
        },
        "strict": true
      },
      "custom": {
        "format": {
          "type": "<string>",
          "grammar": {
            "definition": "<string>",
            "syntax": "lark"
          }
        }
      },
      "cache_control": {
        "type": "ephemeral",
        "ttl": "<string>"
      }
    }
  ],
  "tool_calls": [
    {
      "function": {
        "name": "<string>",
        "arguments": "<string>"
      },
      "index": 123,
      "type": "<string>",
      "id": "<string>"
    }
  ],
  "speech_input": {},
  "transcription_input": {},
  "image_generation_input": {},
  "speech_output": {},
  "transcription_output": {},
  "image_generation_output": {},
  "cache_debug": {},
  "metadata": {},
  "selected_key": {},
  "virtual_key": {},
  "passthrough_request_body": "<string>",
  "passthrough_response_body": "<string>",
  "routing_engine_logs": {},
  "is_large_payload_request": true,
  "is_large_payload_response": true,
  "rerank_output": {},
  "video_generation_input": {},
  "video_generation_output": {},
  "video_retrieve_output": {},
  "video_list_output": {},
  "video_delete_output": {},
  "video_download_output": {},
  "list_models_output": {}
}

Documentation Index

Fetch the complete documentation index at: https://docs.getbifrost.ai/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer token authentication. Use your provider API key or Bifrost authentication token. Virtual keys (prefixed with sk-bf-) can also be passed here.

Path Parameters

id
string
required

Log entry ID

Response

Successful response

Log entry

id
string
parent_request_id
string
provider
string
model
string
status
enum<string>
Available options:
processing,
success,
error
object
string
timestamp
string<date-time>
number_of_retries
integer
fallback_index
integer
latency
number
cost
number
selected_key_id
string
selected_key_name
string
virtual_key_id
string
virtual_key_name
string | null
routing_engines_used
string[] | null

Array of routing engines used for this request (routing-rule, governance, or loadbalancing)

routing_rule_id
string | null
routing_rule_name
string | null
stream
boolean
raw_request
string
raw_response
string
created_at
string<date-time>
token_usage
object

Token usage information

error_details
object

Error response from Bifrost

input_history
object[]
responses_input_history
object[]
output_message
object
responses_output
object[]
embedding_output
number[][]
params
object
tools
object[]
tool_calls
object[]
speech_input
object
transcription_input
object
image_generation_input
object
speech_output
object
transcription_output
object
image_generation_output
object
cache_debug
object
metadata
object

Custom metadata captured from request headers (configured via logging_headers or x-bf-lh-* prefix)

selected_key
object
virtual_key
object
passthrough_request_body
string

Raw passthrough request body (for passthrough integration routes)

passthrough_response_body
string

Raw passthrough response body (for passthrough integration routes)

routing_engine_logs
object

Detailed logs from the routing engine decision process

is_large_payload_request
boolean

Whether the request payload exceeded the large payload threshold

is_large_payload_response
boolean

Whether the response payload exceeded the large payload threshold

rerank_output
object

Rerank operation output

video_generation_input
object

Video generation request input

video_generation_output
object

Video generation response output

video_retrieve_output
object

Video retrieve response output

video_list_output
object

Video list response output

video_delete_output
object

Video delete response output

video_download_output
object

Video download response output

list_models_output
object

List models response output